using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace ZXDT.CallCenter.BLL
{
    /// <summary>
    /// T_Call_CheckIDCard
    /// </summary>
    public partial class T_Call_CheckIDCard
    {
        private readonly ZXDT.CallCenter.DAL.T_Call_CheckIDCard dal = new ZXDT.CallCenter.DAL.T_Call_CheckIDCard();
        public T_Call_CheckIDCard()
        { }
        #region  Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_Id)
        {
            return dal.Exists(F_Id);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(ZXDT.CallCenter.Model.T_Call_CheckIDCard model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(ZXDT.CallCenter.Model.T_Call_CheckIDCard model)
        {
            return dal.Update(model);
        }
        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool UpdateById(ZXDT.CallCenter.Model.T_Call_CheckIDCard model)
        {
            return dal.UpdateById(model);
        }

        /// <summary>
        /// 根据recordid更新
        /// </summary>
        public bool UpdateByRecordId(ZXDT.CallCenter.Model.T_Call_CheckIDCard model)
        {
            return dal.UpdateByRecordId(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_Id)
        {

            return dal.Delete(F_Id);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_Idlist)
        {
            return dal.DeleteList(F_Idlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public ZXDT.CallCenter.Model.T_Call_CheckIDCard GetModel(int F_Id)
        {

            return dal.GetModel(F_Id);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string Field,string strWhere)
        {
            return dal.GetList(Field,strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Call_CheckIDCard> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Call_CheckIDCard> DataTableToList(DataTable dt)
        {
            List<ZXDT.CallCenter.Model.T_Call_CheckIDCard> modelList = new List<ZXDT.CallCenter.Model.T_Call_CheckIDCard>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                ZXDT.CallCenter.Model.T_Call_CheckIDCard model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new ZXDT.CallCenter.Model.T_Call_CheckIDCard();
                    if (dt.Rows[n]["F_Id"] != null && dt.Rows[n]["F_Id"].ToString() != "")
                    {
                        model.F_Id = int.Parse(dt.Rows[n]["F_Id"].ToString());
                    }
                    if (dt.Rows[n]["F_Code"] != null && dt.Rows[n]["F_Code"].ToString() != "")
                    {
                        model.F_Code = dt.Rows[n]["F_Code"].ToString();
                    }
                    if (dt.Rows[n]["F_RecordId"] != null && dt.Rows[n]["F_RecordId"].ToString() != "")
                    {
                        model.F_RecordId = int.Parse(dt.Rows[n]["F_RecordId"].ToString());
                    }
                    if (dt.Rows[n]["F_CallId"] != null && dt.Rows[n]["F_CallId"].ToString() != "")
                    {
                        model.F_CallId = dt.Rows[n]["F_CallId"].ToString();
                    }
                    if (dt.Rows[n]["F_WorkOrderId"] != null && dt.Rows[n]["F_WorkOrderId"].ToString() != "")
                    {
                        model.F_WorkOrderId = int.Parse(dt.Rows[n]["F_WorkOrderId"].ToString());
                    }
                    if (dt.Rows[n]["F_IDCard"] != null && dt.Rows[n]["F_IDCard"].ToString() != "")
                    {
                        model.F_IDCard = dt.Rows[n]["F_IDCard"].ToString();
                    }
                    if (dt.Rows[n]["F_CardInfo"] != null && dt.Rows[n]["F_CardInfo"].ToString() != "")
                    {
                        model.F_CardInfo = dt.Rows[n]["F_CardInfo"].ToString();
                    }
                    if (dt.Rows[n]["F_Sex"] != null && dt.Rows[n]["F_Sex"].ToString() != "")
                    {
                        model.F_Sex = dt.Rows[n]["F_Sex"].ToString();
                    }
                    if (dt.Rows[n]["F_Address"] != null && dt.Rows[n]["F_Address"].ToString() != "")
                    {
                        model.F_Address = dt.Rows[n]["F_Address"].ToString();
                    }
                    if (dt.Rows[n]["F_Birthday"] != null && dt.Rows[n]["F_Birthday"].ToString() != "")
                    {
                        model.F_Birthday = dt.Rows[n]["F_Birthday"].ToString();
                    }
                    if (dt.Rows[n]["F_Age"] != null && dt.Rows[n]["F_Age"].ToString() != "")
                    {
                        model.F_Age = int.Parse(dt.Rows[n]["F_Age"].ToString());
                    }
                    if (dt.Rows[n]["F_Name"] != null && dt.Rows[n]["F_Name"].ToString() != "")
                    {
                        model.F_Name = dt.Rows[n]["F_Name"].ToString();
                    }
                    if (dt.Rows[n]["F_SFId"] != null && dt.Rows[n]["F_SFId"].ToString() != "")
                    {
                        model.F_SFId = int.Parse(dt.Rows[n]["F_SFId"].ToString());
                    }
                    if (dt.Rows[n]["F_SFName"] != null && dt.Rows[n]["F_SFName"].ToString() != "")
                    {
                        model.F_SFName = dt.Rows[n]["F_SFName"].ToString();
                    }
                    if (dt.Rows[n]["F_DTType"] != null && dt.Rows[n]["F_DTType"].ToString() != "")
                    {
                        model.F_DTType = dt.Rows[n]["F_DTType"].ToString();
                    }
                    if (dt.Rows[n]["F_QKInfo"] != null && dt.Rows[n]["F_QKInfo"].ToString() != "")
                    {
                        model.F_QKInfo = dt.Rows[n]["F_QKInfo"].ToString();
                    }
                    if (dt.Rows[n]["F_SKKYRY"] != null && dt.Rows[n]["F_SKKYRY"].ToString() != "")
                    {
                        model.F_SKKYRY = dt.Rows[n]["F_SKKYRY"].ToString();
                    }
                    if (dt.Rows[n]["F_CheckCityId"] != null && dt.Rows[n]["F_CheckCityId"].ToString() != "")
                    {
                        model.F_CheckCityId = int.Parse(dt.Rows[n]["F_CheckCityId"].ToString());
                    }
                    if (dt.Rows[n]["F_CheckCityName"] != null && dt.Rows[n]["F_CheckCityName"].ToString() != "")
                    {
                        model.F_CheckCityName = dt.Rows[n]["F_CheckCityName"].ToString();
                    }
                    if (dt.Rows[n]["F_CheckXQId"] != null && dt.Rows[n]["F_CheckXQId"].ToString() != "")
                    {
                        model.F_CheckXQId = int.Parse(dt.Rows[n]["F_CheckXQId"].ToString());
                    }
                    if (dt.Rows[n]["F_CheckXQName"] != null && dt.Rows[n]["F_CheckXQName"].ToString() != "")
                    {
                        model.F_CheckXQName = dt.Rows[n]["F_CheckXQName"].ToString();
                    }
                    if (dt.Rows[n]["F_CustomerId"] != null && dt.Rows[n]["F_CustomerId"].ToString() != "")
                    {
                        model.F_CustomerId = int.Parse(dt.Rows[n]["F_CustomerId"].ToString());
                    }
                    if (dt.Rows[n]["F_CustomerName"] != null && dt.Rows[n]["F_CustomerName"].ToString() != "")
                    {
                        model.F_CustomerName = dt.Rows[n]["F_CustomerName"].ToString();
                    }
                    if (dt.Rows[n]["F_CustomerJH"] != null && dt.Rows[n]["F_CustomerJH"].ToString() != "")
                    {
                        model.F_CustomerJH = dt.Rows[n]["F_CustomerJH"].ToString();
                    }
                    if (dt.Rows[n]["F_CustomerTel"] != null && dt.Rows[n]["F_CustomerTel"].ToString() != "")
                    {
                        model.F_CustomerTel = dt.Rows[n]["F_CustomerTel"].ToString();
                    }
                    if (dt.Rows[n]["F_CheckTime"] != null && dt.Rows[n]["F_CheckTime"].ToString() != "")
                    {
                        model.F_CheckTime = DateTime.Parse(dt.Rows[n]["F_CheckTime"].ToString());
                    }
                    if (dt.Rows[n]["F_UserId"] != null && dt.Rows[n]["F_UserId"].ToString() != "")
                    {
                        model.F_UserId = int.Parse(dt.Rows[n]["F_UserId"].ToString());
                    }
                    if (dt.Rows[n]["F_UserName"] != null && dt.Rows[n]["F_UserName"].ToString() != "")
                    {
                        model.F_UserName = dt.Rows[n]["F_UserName"].ToString();
                    }
                    if (dt.Rows[n]["F_State"] != null && dt.Rows[n]["F_State"].ToString() != "")
                    {
                        model.F_State = int.Parse(dt.Rows[n]["F_State"].ToString());
                    }
                    if (dt.Rows[n]["F_Ext1"] != null && dt.Rows[n]["F_Ext1"].ToString() != "")
                    {
                        model.F_Ext1 = dt.Rows[n]["F_Ext1"].ToString();
                    }
                    if (dt.Rows[n]["F_Ext2"] != null && dt.Rows[n]["F_Ext2"].ToString() != "")
                    {
                        model.F_Ext2 = dt.Rows[n]["F_Ext2"].ToString();
                    }
                    if (dt.Rows[n]["F_Ext3"] != null && dt.Rows[n]["F_Ext3"].ToString() != "")
                    {
                        model.F_Ext3 = int.Parse(dt.Rows[n]["F_Ext3"].ToString());
                    }
                    if (dt.Rows[n]["F_DTChildType"] != null && dt.Rows[n]["F_DTChildType"].ToString() != "")
                    {
                        model.F_DTChildType = int.Parse(dt.Rows[n]["F_DTChildType"].ToString());
                    }
                    if (dt.Rows[n]["F_LRProviceId"] != null && dt.Rows[n]["F_LRProviceId"].ToString() != "")
                    {
                        model.F_LRProviceId = int.Parse(dt.Rows[n]["F_LRProviceId"].ToString());
                    }
                    if (dt.Rows[n]["F_LRProviceName"] != null && dt.Rows[n]["F_LRProviceName"].ToString() != "")
                    {
                        model.F_LRProviceName = dt.Rows[n]["F_LRProviceName"].ToString();
                    }
                    if (dt.Rows[n]["F_LRCityId"] != null && dt.Rows[n]["F_LRCityId"].ToString() != "")
                    {
                        model.F_LRCityId = int.Parse(dt.Rows[n]["F_LRCityId"].ToString());
                    }
                    if (dt.Rows[n]["F_LRCityName"] != null && dt.Rows[n]["F_LRCityName"].ToString() != "")
                    {
                        model.F_LRCityName = dt.Rows[n]["F_LRCityName"].ToString();
                    }
                    if (dt.Rows[n]["F_LCProviceId"] != null && dt.Rows[n]["F_LCProviceId"].ToString() != "")
                    {
                        model.F_LCProviceId = int.Parse(dt.Rows[n]["F_LCProviceId"].ToString());
                    }
                    if (dt.Rows[n]["F_LCProviceName"] != null && dt.Rows[n]["F_LCProviceName"].ToString() != "")
                    {
                        model.F_LCProviceName = dt.Rows[n]["F_LCProviceName"].ToString();
                    }
                    if (dt.Rows[n]["F_LCCityId"] != null && dt.Rows[n]["F_LCCityId"].ToString() != "")
                    {
                        model.F_LCCityId = int.Parse(dt.Rows[n]["F_LCCityId"].ToString());
                    }
                    if (dt.Rows[n]["F_LCCityName"] != null && dt.Rows[n]["F_LCCityName"].ToString() != "")
                    {
                        model.F_LCCityName = dt.Rows[n]["F_LCCityName"].ToString();
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  Method
    }
}

